<?php

//////////////////////////////////////////////////////////////
//===========================================================
// tax_rules_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function tax_rules_theme(){

global $theme, $servers, $globals, $kernel, $cluster, $user, $l, $error, $done, $info, $servergroups, $resource_types, $tax_rules;

if(optGET('ajax')){
	//show_alert($l['done']);
	if(!empty($done)){
		echo json_encode(array('done' => $done));
		return true;
	}
	
	if(!empty($error)){
		echo json_encode(array('error' => $error));
		return true;
	}
}

softheader($l['<title>']);

echo '
<link rel="stylesheet" type="text/css" href="'.$theme['url'].'/css2/jquery.dataTables.min.css">
<script type="text/javascript" charset="utf8" src="'.$theme['url'].'/js2/jquery.dataTables.min.js"></script>
<script type="text/javascript" charset="utf8" src="'.$theme['url'].'/js2/countries.js"></script>
<script language="javascript" type="text/javascript">

var servergroups = '.json_encode($servergroups).';

var task_lang = new Array();
task_lang["delete"] = "'.$l['multi_delete'].'";


function action_chosen(action, plid , ele){

	plid = plid || 0;
	action = action || "";
	
	if(action == ""){
		if($(ele).parent().prev().find("select").val() == 0){
				showalert("'.$l['no_action'].'","1");
				return false;
		}else{
			action = $(ele).parent().prev().find("select").val();
		}
	}

	// List of ids
	var plan_list = new Array();

	if(plid < 1){
		$("#tax_rules_table .ios:checked").each(function(){
			plan_list.push($(this).val());
		});

	}else{	
		plan_list.push(plid);
	}
	
	if(plan_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}

	// To delete plans
	if(action == "delete"){
		showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				var finalData = new Object();
				test(plan_list);
			}
		});
	// To enable plans	
	}else if(action == "enable"){
		showalert("'.$l['enable_conf'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				var finalData = new Object();
				finalData["enable"] = plan_list.join(",");
				exec(finalData);
			}
		});
	// To disable plans	
	}else if(action == "disable"){
		showalert("'.$l['disable_conf'].'","3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				var finalData = new Object();
				finalData["disable"] = plan_list.join(",");
				exec(finalData);
			}
		});
	}else{
		showalert("'.$l['no_action'].'","1");
		return false;
	}
	
	return false;
};

function exec(finalData){

	$("#progress_bar").show();
	$.ajax({
		type: "POST",
		url: "'.$globals['index'].'act=tax_rules&api=json",
		data : finalData,
		dataType : "json",
		success: function(data){
			$("#progress_bar").hide();
			if("done" in data){
				setTimeout(function(){showalert("'.$l['action_completed'].'");
				$("#alert-modal").on("hidden.bs.modal", function (e) {
					location.reload(true);
				});} ,200);
			}
			if("error" in data){
				var errstr = "'.$l['following_errors_occured'].'";
				for(x in data["error"]){
					errstr = errstr+"\n"+data["error"][x];
				}
				setTimeout(function(){showalert(errstr,"1");} ,200);
			}
		},
		error: function(data) {
			$("#progress_bar").hide();
			return false;
		}
	});
};


function show_confirm(taxid, cur_action, ele){
	
	taxid = taxid || 0;
	cur_action = cur_action || "";
	taxrule_list = new Array();
	done_taxrule_list = new Array();
	removed = new Object();
	var selected_list = "";

	// Single VPS select
	if(taxid > 0){
		
		taxrule_list[0] = taxid;
		multi_action = cur_action;
		selected_list += "\n["+$("#tr_taxname"+taxid).attr("value")+"]";
		
	// Multi select
	}else{
	
		multi_action = $(ele).parent().prev().find("select").val();
		if(multi_action == "0"){
			showalert("'.$l['err_no_action'].'","1");
			return false;
		}

		// Build the list of Installations to remove
		var field = document.getElementsByName(\'taxrule_list[]\');
		for(i = 0; i < field.length; i++){
			if(field[i].checked){
				taxrule_list[taxrule_list.length] = field[i].value;
				selected_list += "["+$("#tr_taxname"+field[i].value).attr("value")+"]"+" <br>";
			}
		}
		
	}
	
	if(taxrule_list.length == 0){
		showalert("'.$l['no_sel_taxid'].'","1");
		return false;
	}
	var confirm_net = "";
	var confirm_message = "";
	confirm_message = "'.$l['cnf_action'].'" +((multi_action))+"'.$l['cnf_action_1'].'<br>"+selected_list;

	showalert(confirm_message, "3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			if(confirm == true && multi_action == "delete"){
				action_by_id(taxrule_list[0], "", 0);
			}
		}
	});
	return false; // So that A hrefs are taken care of
	
};

function conf_del(ele){

	var taxid = $(ele).attr("taxid");
	return show_confirm(taxid, "delete");
};


function delete_rules(ele){

	var todelete = [];
	var taxid = $(ele).data("taxid");

	todelete[0] = taxid; 

	var taxname = $("#tr_taxname"+taxid).text();

	confirm_message = "'.$l['cnf_action'].' delete " +(taxname)+"?<br>";

	showalert(confirm_message, "3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			if(confirm == true){
				test(todelete);
			}
		}
	});

	todelete[0] = taxid;
}
	
function submit_form(formname){
	
	url = "'.$globals['index'].'act=tax_rules&jsnohf=1&ajax=1&random="+Math.random();
	
	$.ajax({
		type: "POST",
		url: url,
		data:$("#"+formname).serialize(),
		success:function(response){
			response = JSON.parse(response);
			if(response.done == true){
				showalert("'.$l['done_setting'].'");
				$("#alert-modal").on("hidden.bs.modal", function (e) {
					location.reload(true);
				});
			}
			if(response.error != undefined){

				var errors = "<ul>";

				$.each(response.error, function(i, v){
					errors += "<li>"+v+"</li>";
				});

				errors += "</ul>"

				showalert(errors, 1);
			}
		}
	});
};

function data_table(selector) {
	$(selector).dataTable({
		"language": {
			"lengthMenu": "'.$l['show'].' _MENU_ '._ucfirst($l['entries']).'",
			"search": "'.$l['search'].':",
			"info": "'.$l['showing'].' _START_ '.$l['to'].' _END_ '.$l['of'].' _TOTAL_ '.$l['entries'].'",
			"infoEmpty": "'.$l['showing'].' 0 '.$l['to'].' 0 '.$l['of'].' 0 '.$l['entries'].'",
			"zeroRecords": "'.$l['no_data_avail'].'",
			"emptyTable": "'.$l['no_data_avail'].'",
			"infoFiltered": "('.$l['filtered_from'].' _MAX_ '.$l['total_entries'].')",
			"paginate": {
				"first": "'.$l['first'].'",
				"last": "'.$l['last'].'",
				"next": "'.$l['next'].'",
				"previous": "'.$l['previous'].'"
			}
		},
		"bAutoWidth": false,		
	});
}

</script>
<style>
#selectregionforpricing .close{
color: white;
weight: bold;
cursor: pointer;
font-size:15px;
padding-top:18px;
}
#sglist{
}
.selregrowclass div{
	background-color: #eaeaea;			
	margin: 1px;
	padding: 5px;
	cursor: pointer;
}
.selregrowclass div:active{
	background-color: #a7e2ff;
}
</style>

<div class="bg">
<div class="row mx-auto my-2">
	<div class="col-12">
		<h4 class="text-dark"><i class="icon icon-config"></i> '.$l['heading'].'</h4>
	</div>
</div>';

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

echo '
<ul class="nav nav-tabs" id="taxTab" role="tablist">
	<li class="nav-item">
		<a class="nav-link active" id="gen_setting-tab" data-toggle="tab" href="#gen_setting" role="tab">'.$l['gen_setting'].'</a>
	</li>
	<li class="nav-item">
		<a class="nav-link" id="tax_rule-tab" data-toggle="tab" href="#tax_rule" role="tab">'.$l['tax_rule'].'</a>
	</li>
</ul>

<div class="tab-content" id="taxTabContent">
	<div class="tab-pane active px-3 py-2" id="gen_setting" role="tabpanel" aria-labelledby="gen_setting-tab">
		<form accept-charset="'.$globals['charset'].'" action="" method="post" name="gen_setting_form" id="gen_setting_form" class="form-horizontal">
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4 p-0">
					<label class="control-label">'.$l['enable_tax'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_tax_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4 p-0">
					'.get_checkbox('enable_tax', '', '', array('chk_it' => 1, 'val' => $info['enable_tax'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4 p-0">
					<label class="control-label">'.$l['tax_number'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['tax_number_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4 p-0">
					<input type="text" class="form-control" name="tax_number" id="tax_number" size="30" value="'.POSTval('tax_number', @$info['tax_number']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4 p-0">
					<label class="control-label">'.$l['tax_type'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['tax_type_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4 p-0">
						
					<div class="input-group mb-3">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<input type="radio" id="tax_inclusive" name="tax_type" value="inclusive" '.(POSTval('tax_type', $info['tax_type']) == 'inclusive' ? 'checked="checked"' : '').'>
							</div>
						</div>
						<div class="form-control">'.$l['tax_inclusive'].'</div>
					</div>

					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
							<input type="radio" id="tax_exclusive" name="tax_type" value="exclusive" '.(POSTval('tax_type', $info['tax_type']) == 'exclusive' ? 'checked="checked"' : '').'>
							</div>
						</div>
						<div class="form-control">'.$l['tax_exclusive'].'</div>
					</div>
				</div>
			</div>
			<center>
				<input type="hidden" name="gen_settings" value="1"/>
				<input type="submit" name="editsettings" value="'.$l['save_setting'].'" class="go_btn"/>
			</center>
		</form>
	</div>
	
	<div class="tab-pane fade px-3 py-2" id="tax_rule" role="tabpanel" aria-labelledby="tax_rule-tab">
	<div class="roundheader cursor-pointer mb-3" onclick="toggle_advoptions(\'add\')"><label id="add_advoptions_ind" class="min_width">-</label> '.$l['new_rule'].'
	</div>
	<div id="add_advoptions">
		<form accept-charset="'.$globals['charset'].'" action="" method="post" name="tax_setting_form" id="tax_setting_form" class="form-horizontal">
			<fieldset>
				<div class="row mx-auto w-100 mb-3 mt-1">
					<div class="col-sm-4 p-0">
						<label class="control-label">'.$l['tax_name'].'&nbsp;</label>
					</div>
					<div class="col-sm-4 p-0">
						<input type="text" class="form-control" name="tax_name" id="tax_name" size="30" value="'.POSTval('tax_name').'" />
					</div>
				</div>
				<div class="row mx-auto w-100 mb-3 mt-1">
					<div class="col-sm-4 p-0">
						<label class="control-label">'.$l['tax_level'].'&nbsp;</label>
					</div>
					<div class="col-sm-4 p-0">
						<select name="tax_level" class="custom-select d-inline-block">
							<option value="1">'.$l['level1'].'</option>
							<option value="2">'.$l['level2'].'</option>
						</select>
					</div>
				</div>
				<div class="row mx-auto w-100 mb-3 mt-1">
					<div class="col-sm-4 p-0">
						<label class="control-label">'.$l['tax_rate'].'&nbsp;</label>
					</div>
					<div class="col-sm-4 p-0">
						<input type="number" class="form-control" name="tax_rate" id="tax_rate" size="30" value="'.POSTval('tax_rate').'" />
					</div>
				</div>
				<div class="row mx-auto w-100 mb-3 mt-1">
					<div class="col-sm-4 p-0">
						<label class="control-label">'.$l['tax_country'].'&nbsp;</label>
					</div>
					<div class="col-md-4 p-0">
						<select id="country" name="country" class="form-control custom-select virt-select" onchange="show_states(\'state_select\');"></select>
					</div>
				</div>
				<div class="row mx-auto w-100 mb-0 mt-1">
					<div class="col-md-4 p-0">
						<label class="control-label">'.$l['tax_state'].'&nbsp;</label>
					</div>
					<div class="col-md-4 p-0">
						<select id="state" name="state" class="form-control custom-select virt-select d-inline-block"></select>
					</div>
				</div><br>
				<center>
					<input type="hidden" name="tax_setting" value="1"/>
					<input type="submit" name="editsettings" value="'.$l['saveconfig'].'" class="go_btn" onclick="submit_form(\'tax_setting_form\');return false;"/>
				</center>
			</fieldset>
		</form>
	</div>
		<br>
		<div class="roundheader cursor-pointer mb-3" onclick="toggle_advoptions(\'rules\')"><label id="rules_advoptions_ind" class="min_width">-</label> '.$l['rules'].'</div>
		<div class="row w-100 mx-auto" id="rules_advoptions">
			<div class="col-12 p-0">
				<table class="table table-hover tablesorter dataTable" id="tax_rules_table">
					<thead>
						<tr>
							<th class="text-left" width="30%">'.$l['tax_name'].'</th>
							<th class="text-left" width="15%">'.$l['tax_country'].'</th>
							<th class="text-left" width="15%">'.$l['tax_state'].'</th>
							<th class="text-left">'.$l['tax_rate'].'</th>
							<th class="text-left">'.$l['tax_level'].'</th>
							<th class="text-left min_width">'.$l['action'].'</th>
							<th class="z-index-1 min_width" align="center">
								'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
							</th>
						</tr>
					</thead>
					<tbody>
					';
					foreach($info['tax_rules'] as $tk => $tv){
						echo '
							<tr>
								<td id="tr_taxname'.$tk.'" value="'.$tv['name'].'">'.$tv['name'].'</td>
								<td>'.($tv['country'] < 0 ? $l['all_country'] : $tv['country']).'</td>
								<td>'.($tv['state'] < 0 ? $l['all_state'] : $tv['state']).'</td>
								<td>'.$tv['taxrate'].'</td>
								<td>'.$tv['level'].'</td>
								<td>
									<span data-taxid="'.$tk.'" onclick="delete_rules(this);"><i class="fa fa-trash" tooltip="Delete this record"></i></span>
								</td>
								<td align="center">
									'.get_checkbox('taxrule_list[]', '', '', 0, $tk).'
								</td>
							</tr>
						';
					}
				echo '
						
					</tbody>
				</table>
			</div>
		</div>

		<div class="row mx-auto w-100 mt-3">
			<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">
			</div>
			<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
				<div class="bottom-menu float-right w-100">
					<div class="row my-auto">
						<div class="p-0">
							<label>'.$l['with_selected'].'</label>
						</div>
						<div class="col p-0">
							<select name="multi_options" id="multi_options" class="custom-select w-100">
								<option value="0">---</option>
								<option value="delete">'.$l['ms_delete'].'</option>
							</select>
						</div>
						<div class="pl-2">
							<input type="button" value="'.$l['go'].'" onclick="action_chosen(\'\' ,0 ,this); return false;" class="go_btn"/>
						</div>
					</div>
				</div>
			</div>
		</div>
		
	</div>
</div><br>
<div id="progress_bar" style="display:none;">
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
</div>

<script>

	function test(data){

		var myKeyVals = { delete : 1, todelete: data }

		var saveData = $.ajax({
			type: "POST",
			url: "index.php?act=tax_rules&api=json",
			data: myKeyVals,
			dataType: "json",
			success: function(resultData) { 
				if("done" in resultData){
				setTimeout(function(){showalert("'.$l['action_completed'].'");
				$("#alert-modal").on("hidden.bs.modal", function (e) {
					location.reload(true);
				});} ,200);
			}
			if("error" in resultData){
				var errstr = "'.$l['following_errors_occured'].'";
				for(x in data["error"]){
					errstr = errstr+"\n"+data["error"][x];
				}
				setTimeout(function(){showalert(errstr,"1");} ,200);
			}
			}
		});
		saveData.error(function() { showalert("Something went wrong"); });
		
	}

	function show_states(id){
		if(id == "state_select" && $("#country").val() == -1){
			$("#state").find("option").remove().end().append("<option value=\'-1\'>All</option>").val("-1");
			showalert("'.$l['err_select_country'].'",2)
			return;
		}
		populateStates("country", "state");
	};

	function toggle_advoptions(ele){
	
		var div_ele = $("#"+ele+"_advoptions");
	
		if (div_ele.is(":hidden")){
			$("#"+ele+"_advoptions_ind").text(" - ");
			div_ele.slideDown("slow");
		}
		else{
			$("#"+ele+"_advoptions_ind").text(" + ");
			div_ele.slideUp("slow");
		}
	}
	
	$(document).ready(function(){
		data_table(".data-table");
		populateCountries("country");
		populateStates("country", "state");
	});
</script>

<div class="modal fade" id="selectregionforpricing" role="dialog">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<div class="modal-title float-left"><b>'.$l['sel_reg'].'</b></div>
				<div class="close" data-dismiss="modal" >X</div>
			</div>
			<div class="modal-body"></div>
		</div>
	</div>
</div>
<br /><br />

</div>';

softfooter();

}